Create Quiz#
Adds a quiz. max_attempts is always 1. Passing score is passing_grade (default 70) when requires_passing_grade is true, otherwise 0. Optional quiz_thumbnail jpeg/png/jpg/gif, max 2 MB. Requires manage-knowledge-hub-quizzes.
Bearer token in the format: Bearer {access_token}
Base64 id from the matching list or builder. A raw numeric id is also accepted.
Title. Max 255 characters
enabled, hidden, or locked
Optional description
published or draft. Default draft
When true, passing_score uses passing_grade
0–100. Default 70 when a passing grade is required
Shown on pass
Shown on fail
New questions. Each: text, type (single_choice default or multi), choices[].text, correct_answer (single) or correct_answers (multi)
Optional thumbnail
curl --request POST \
--url https://app.rizzdial.com/api/knowledge-hub/categories/MQ==/quizzes/create \
--header 'Authorization: Bearer {{bearer_token}}' \
--form 'title=Week 1 check' \
--form 'comment_status=enabled' \
--form 'status=draft'Quiz created successfully.
Quiz with base64 id and questions.options